Subject: RE: Colour features

From: "Buckley, Robert R" <[email-masked]>
Date: Thu, 12 Nov 1998 09:53:16 -0500

Graham,

I have followed most of the notes going back and forth: I may have missed
some and hope they aren't the ones that have already addressed the comments
I am about to make. I appreciate how moving color to a separate document
would speed the process for the rest of the conneg document, but I wouldn't
do it because of fax. Color extends well beyond fax. The fax-specific
details may well be left to a separate document, but it would be preferable
if that separate document supplied fax-specific details for a color
framework laid out in the main conneg document. Color models are fairly well
understood and there are several instantiations that can be used as the
basis for the content of the conneg document. 

Rob

-----Original Message-----
From: Graham Klyne [mailto:[email-masked]]
Sent: Thursday, November 12, 1998 7:44 AM
To: McIntyre, Lloyd
Cc: Masinter, Larry; conneg WG; Buckley, Robert R
Subject: Colour features

At 11:13 11/11/98 -0800, McIntyre, Lloyd wrote:

>> [...]  Hence the proposal noted and posted
>> separately
>> for dealing with colour representation.
>	[McIntyre, Lloyd]  Additional attributes are essential if color
>is to be dealt with  in an honest manner.

One possibility that occurred to me was to handle all colour-related
features features in a separate 'conneg' registration document, so that
media-features can move forward quickly and yet avoid the colour details
becoming part of work that is perceived as being fax-specific.

#g

------------
Graham Klyne
([email-masked])

---

From: "McIntyre, Lloyd" <[email-masked]>
Date: Thu, 12 Nov 1998 10:42:16 -0800

Graham,
Allow me to echo Rob Buckley's comments that color must be handle
appropriately in the main conneg document. Doing it right is the only
fix.

Lloyd

> From:	Buckley, Robert R 
> Sent:	Thursday, November 12, 1998 6:53 AM
> To:	'Graham Klyne'; McIntyre, Lloyd
> Subject:	RE: Colour features
> 
> Graham,
> 
> I have followed most of the notes going back and forth: I may have
> missed some and hope they aren't the ones that have already addressed
> the comments I am about to make. I appreciate how moving color to a
> separate document would speed the process for the rest of the conneg
> document, but I wouldn't do it because of fax. Color extends well
> beyond fax. The fax-specific details may well be left to a separate
> document, but it would be preferable if that separate document
> supplied fax-specific details for a color framework laid out in the
> main conneg document. Color models are fairly well understood and
> there are several instantiations that can be used as the basis for the
> content of the conneg document. 
> 
> Rob
>

---

From: Graham Klyne <[email-masked]>
Date: Fri, 13 Nov 1998 13:54:14 +0000

At 22:11 12/11/98 PST, Larry Masinter wrote:
>What about if we remove any notion of 'number of channels' from
>the color capability, and just stick with a simple enumeration:
>
>color=none  (binary)
>color=grey  (some amount of greyscale, unspecified how much)
>color=mapped (palette color adequate for 'gif' images, sender
>              should attempt to limit palette necessary; this
>              is primarily useful when the ua-media is screen)
>color=full   (sufficient color capability that a 'full color'
>             image can be sent, although details of gamut, fidelity,
>             and rendering method are not indicated).
>
>This removes the relatively useless 'silly state' where you could
>say 'color=4' but have no idea whether the 16 colors are a fixed
>or changable gamut, etc. It leaves in place the possibility that
>other values of color might be registered if they're actually useful.
>
>In addition, I can add a note saying that more details of color
>matching will be left to another document.
>
>I think that this level of color indication is useful.

Larry, you have a remarkable talent for attacking a problem through
simplification that I must attempt to emulate...

Yes, on first glance, I think this approach could work very well.

I am particularly impressed that I think this approach might actually
simplify (slightly) the scheme that Lloyd and I were working on.

I think one additional option would be useful, to capture devices with a
level of capability similar to a pen plotter, EGA screen, hightlight-colour
printer, etc.  I note that in these cases, the actual colours available are
generally fixed by the device, so maybe:

    color=fixed

#g

---

From: Graham Klyne <[email-masked]>
Date: Fri, 13 Nov 1998 13:54:27 +0000

color=fixed

#g

------------
Graham Klyne
([email-masked])

---

From: Graham Klyne <[email-masked]>
Date: Mon, 16 Nov 1998 13:55:17 +0000

At 13:13 13/11/98 -0500, Al Gilman wrote:
>I probably mis-read what Larry was saying.  I thought he was
>wiping away the detailed model altogether and leaving only the
>revised summary classes.
>
>Your rewrite incorporating Larry's summary levels works for me.
>
>I still wonder if you shouldn't expose opaque/transparent in the
>top-level categories, but I would be happy to stick with what
>people generally think on this.

Effectively, I think it is.

It's covered by the ua-media feature in media-features.

#g

------------
Graham Klyne
([email-masked])